----------------------------------------------------------------------------------
-- File: DeleteXslLayoutsFromDatabase.sql
-- 
-- Purpose: This script will delete all the XSL layouts and the report definitions to the XSL from the database.
--
-- Usage: Executed as schema owner (e.g. IFSAPP)
--
-- Date    Sign    History
-- ------  ------  -----------------------------------------------------------------
-- 100720  CHAALK  Created (Jira Task EACS-896)
----------------------------------------------------------------------------------


set serverout on;
PROMPT
PROMPT This script will delete all the XSL layouts and the report definitions to the XSL from the database. Do you want to proceed (Y/N)?
PROMPT
accept answer default 'N';
declare
   UserYes exception;
   UserNo  exception;
begin 
   case
      when UPPER('&answer') = 'Y' then raise UserYes;
      when UPPER('&answer') = 'YES' then raise UserYes;
      when UPPER('&answer') = 'N' then raise UserNo;
      when UPPER('&answer') = 'NO' then raise UserNo;
      else raise UserNo;
   end case;

   exception

   when UserYes then
      dbms_output.put_line('');
      dbms_output.put_line('Executing DeleteXslLayoutsFromDatabase.sql');
      dbms_output.put_line('');
      dbms_output.put_line('Deleing the layout references');
      delete from report_sys_layout_tab t where t.layout_name like '%.xsl' or t.layout_name like '%.XSL';
      dbms_output.put_line('');
      dbms_output.put_line('Deleting the layouts');
      delete from report_layout_tab t where t.layout_name like '%.xsl' or t.layout_name like '%.XSL';
      dbms_output.put_line('');
      dbms_output.put_line('Done');
   when UserNo then
      dbms_output.put_line('');
end;
/

commit;
set serverout off;